<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
  if ( isset($_POST['uid'])
       && loggedIn() )
  {
    $FormularKorrektAusgefuellt = true;
  }
      if ( !loggedIn() ) { echo $L_003; }
      else
      {
        if ( !IsUserAdmin() ) echo $L_015;
        else
        {
        // Content Begin
          if (isset($_POST['uid']))
      	 {
        	   if ($_POST['delUser']==$L_Button23)
        	   {
              $UserName = $_POST['uid'];
              // Maskieren spezieller Zeichen für die Verwendung in einer SQL-Anweisung
                $UserName = mysql_real_escape_string($UserName);

              // Datensatz-Loeschvorgang festlegen
              $SQL = "DELETE FROM ".DB_PREFIX."user WHERE UserName = '$UserName'";

              // Datensatz-L&ouml;schvorgang durchf&uuml;hren
              $resultat = mysql_query($SQL);

              if ($resultat) { echo $L_046.'<br />'; }
              else { echo $L_047.'<br />'; }
        	   }
        	   if ($_POST['delUser']==$L_Button24)
        	   {
              echo $L_048.'<br />';
        	   }
      	 }
    	 else
    	 {
      	   echo $L_045.'<br /><br />';
      	   $uid = $_GET['uid'];
      	   echo '
        	     <form method="post" action="index.php?submenu=admin&amp;page=delUser" accept-charset="UTF-8">
        	       <fieldset>
                   <input name="delUser" type="submit" value="'.$L_Button23.'" class="button" />
                   <input name="delUser" type="submit" value="'.$L_Button24.'" class="button" />
                   <input name="uid" id="uid" type="hidden" value="'.$uid.'" />
                   <input type="hidden" name="http-equiv" value="showUsers" />
                 </fieldset>
      	     </form>';
    	 }
        // Inhalt zuende
      }
      }
    ?>